Dev environment setup wiki page correction

All discussion on project related documentation including source docs, manuals, and tutorials go here.
Post Reply
Ferduun
Posts: 3
Joined: 01 Jan 2019, 19:50

Dev environment setup wiki page correction

Post by Ferduun »

Hi,
I believe there is an error in the 'Development Environment Setup' page in the wiki.

In my experience with OpenSuse Tumbleweed these dependencies are necessary for compilation (in addition to those already in the wiki):

liblz4-devel libQt5Core-devel libQt5Network-devel libQt5OpenGL-devel libQt5Widgets-devel libicu-devel libboost_system-devel openal-soft-devel

I also noticed some message about OSG having no multiview support, I am not sure if that's relevant.
User avatar
AnyOldName3
Posts: 2660
Joined: 26 Nov 2015, 03:25

Re: Dev environment setup wiki page correction

Post by AnyOldName3 »

It wouldn't be surprising if the OpenSuse section's horribly out of date. As it's a Wiki, you should be able to edit it yourself.

As for the multiview warning, OSG's multiview support lives on a branch at the moment, so we have to disable our multiview stuff when you're not using that branch. If you don't need it, then it's not something you need to worry about.
Post Reply